# build/myftw.c File Reference

Modified ftw() -- uses Lstat() instead of stat(). More...

`#include "system.h"`
`#include <rpmio.h>`
`#include "myftw.h"`
`#include "debug.h"`

Go to the source code of this file.

## Defines
#define | NAMLEN(a) strlen((a)->d_name)
#define | PATH_MAX 1024
## Functions
static int | myftw_dir (DIR **dirs, int level, int descriptors, char *dir, size_t len, myftwFunc func, void *fl)
int | myftw (const char *dir, int descriptors, myftwFunc func, void *fl)

## Detailed Description

Modified ftw() -- uses Lstat() instead of stat().

Definition in file myftw.c.

## Define Documentation

#define NAMLEN | ( | a |  | ) | strlen((a)->d_name)

Definition at line 30 of file myftw.c.

#define PATH_MAX 1024

Definition at line 41 of file myftw.c.

## Function Documentation

int myftw | ( | const char * | dir,
|  | int | descriptors,
|  | myftwFunc | func,
|  | void * | fl |
| ) |  |  |

Definition at line 179 of file myftw.c.

static int myftw_dir | ( | DIR ** | dirs,
|  | int | level,
|  | int | descriptors,
|  | char * | dir,
|  | size_t | len,
|  | myftwFunc | func,
|  | void * | fl |
| ) |  |  | `[static]`

Definition at line 56 of file myftw.c.